For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update Transaction Hash

Updates transaction hash of a given offramp order

This endpoint will return status of updation of transaction hash for given orderId

This API is intended solely for debugging purposes and is optional for integration.

In rare cases where a transaction is stuck or processed incorrectly, we use the provided hash and compare it with our internal hash. This helps us identify and resolve issues more efficiently.

Update Transaction Hash

POST https://api.onramp.money/onramp/api/v2/whiteLabel/offramp/updateTransactionHash

Request Body

Name
Type
Description

orderId*

String

Order Id of offramp order.

transactionHash*

String

Transaction Hash of offramp order.

customerId*

String

Unique id received from /kyc/url

{
    "status": 1,
    "code": 200,
    "data": "Transaction Hash saved successfully"
}

{
    "status": 0,
    "code": 400,
    "error": "No orderid found in sellTransactions table"
}
{
    "status": 0,
    "code": 500,
    "error": "Unable to save Transaction Hash at the moment. Please try again after some time."
}

{
    "status": 1,
    "code": 200,
    "data": "Transaction Hash saved successfully"
}
  • This indicates that transaction hash has been successfully updated for the given order Id.

Last updated